Bug 829868 - repo bind result in MissingResource error on f17
repo bind result in MissingResource error on f17
Status: CLOSED WORKSFORME
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Slagle
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 13:48 EDT by dgao
Modified: 2013-09-09 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-13 11:56:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dgao 2012-06-07 13:48:31 EDT
[root@pulp-qe-f17-server pulp]# getenforce 
Enforcing
[root@pulp-qe-f17-server pulp]# service iptables status
Redirecting to /bin/systemctl  status iptables.service
iptables.service - IPv4 firewall with iptables
	  Loaded: loaded (/usr/lib/systemd/system/iptables.service; enabled)
	  Active: inactive (dead) since Thu, 07 Jun 2012 09:47:06 -0400; 3h 28min ago
	Main PID: 463 (code=exited, status=0/SUCCESS)
	  CGroup: name=systemd:/system/iptables.service

Jun 05 17:12:30 pulp-qe-f17-server.usersys.redhat.com iptables.init[463]: iptables: Applying firewall rules: [  OK  ]
Jun 07 09:47:06 pulp-qe-f17-server.usersys.redhat.com iptables.init[20076]: iptables: Flushing firewall rules: [  OK  ]
Jun 07 09:47:06 pulp-qe-f17-server.usersys.redhat.com iptables.init[20076]: iptables: Setting chains to policy ACCEPT: filter [  OK  ]
Jun 07 09:47:06 pulp-qe-f17-server.usersys.redhat.com iptables.init[20076]: iptables: Unloading modules: [  OK  ]
[root@pulp-qe-f17-server pulp]# pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+

Id                 	smoketest_repo           
Name               	smoketest_repo           
Repo URL           	https://pulp-qe-f17-server.usersys.redhat.com/pulp/repos/repos/pulp/pulp/dev/testing/fedora-17/x86_64/
Feed URL           	http://repos.fedorapeople.org/repos/pulp/pulp/dev/testing/fedora-17/x86_64/
Feed Type          	remote                   
Content Type       	yum                      
Feed Certs         	CA:No   Cert:No
Consumer Certs     	CA:No   Cert:No
Architecture       	x86_64                   
Sync Schedule      	None                     
Packages           	21                       
Files              	0                        
Distributions      	None                     
Publish            	True                     
Clones             	[]                       
Groups             	None                     
Filters            	[]                       
Notes              	{}                       
Preserve Metadata  	False                    
Checksum Type      	sha256                   


[root@pulp-qe-f17-server pulp]# pulp-consumer consumer bind --repoid smoketest_repo
error:  operation failed: MissingResource: Missing resource(s): resource_id=smoketest_repo
[root@pulp-qe-f17-server pulp]# tail /var/log/pulp/client.log 
2012-06-07 11:23:04,972 [INFO][pulpplugin-monitor] getbroker() @ plugin.py:192 - broker (qpid) configured: {pulp-qe-f17-server.usersys.redhat.com:5672}:
transport=TCP
host=pulp-qe-f17-server.usersys.redhat.com
port=5672
cacert=
clientcert=
2012-06-07 11:23:04,974 [INFO][pulpplugin-monitor] update() @ main.py:123 - uuid="fred", attached
2012-06-07 11:23:25,291 [ERROR][MainThread] main() @ command.py:228 - error: (500, u'MissingResource: Missing resource(s): resource_id=smoketest_repo', u'Traceback (most recent call last):\n  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/decorators.py", line 48, in report_error\n    return method(self, *args, **kwargs)\n  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/decorators.py", line 127, in _auth_decorator\n    value = method(self, *args, **kwargs)\n  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/consumers.py", line 610, in POST\n    return action(id)\n  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/consumers.py", line 340, in bind\n    raise MissingResource(data)')
2012-06-07 11:23:54,293 [ERROR][MainThread] main() @ command.py:228 - error: (500, u'MissingResource: Missing resource(s): resource_id=smoketest_repo', u'Traceback (most recent call last):\n  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/decorators.py", line 48, in report_error\n    return method(self, *args, **kwargs)\n  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/decorators.py", line 127, in _auth_decorator\n    value = method(self, *args, **kwargs)\n  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/consumers.py", line 610, in POST\n    return action(id)\n  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/consumers.py", line 340, in bind\n    raise MissingResource(data)')
2012-06-07 13:16:16,678 [ERROR][MainThread] main() @ command.py:228 - error: (500, u'MissingResource: Missing resource(s): resource_id=smoketest_repo', u'Traceback (most recent call last):\n  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/decorators.py", line 48, in report_error\n    return method(self, *args, **kwargs)\n  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/decorators.py", line 127, in _auth_decorator\n    value = method(self, *args, **kwargs)\n  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/consumers.py", line 610, in POST\n    return action(id)\n  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/consumers.py", line 340, in bind\n    raise MissingResource(data)')
[root@pulp-qe-f17-server pulp]# tail /var/log/pulp/pulp.log 
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/decorators.py", line 48, in report_error
    return method(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/decorators.py", line 127, in _auth_decorator
    value = method(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/consumers.py", line 610, in POST
    return action(id)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/consumers.py", line 340, in bind
    raise MissingResource(data)
MissingResource: Missing resource(s): resource_id=smoketest_repo

[root@pulp-qe-f17-server pulp]# service goferd status
goferd (23001) is running.
[root@pulp-qe-f17-server pulp]# service httpd status
Redirecting to /bin/systemctl  status httpd.service
httpd.service - The Apache HTTP Server (prefork MPM)
	  Loaded: loaded (/usr/lib/systemd/system/httpd.service; disabled)
	  Active: active (running) since Thu, 07 Jun 2012 10:55:42 -0400; 2h 21min ago
	 Process: 23058 ExecStop=/usr/sbin/httpd $OPTIONS -k stop (code=exited, status=0/SUCCESS)
	 Process: 23069 ExecStart=/usr/sbin/httpd $OPTIONS -k start (code=exited, status=0/SUCCESS)
	Main PID: 23070 (httpd)
	  CGroup: name=systemd:/system/httpd.service
		  ├ 23070 /usr/sbin/httpd -k start
		  ├ 23071 (wsgi:pulp)     -k start
		  ├ 23072 /usr/sbin/httpd -k start
		  ├ 23073 /usr/sbin/httpd -k start
		  ├ 23074 /usr/sbin/httpd -k start
		  ├ 23075 /usr/sbin/httpd -k start
		  ├ 23076 /usr/sbin/httpd -k start
		  ├ 23077 /usr/sbin/httpd -k start
		  ├ 23078 /usr/sbin/httpd -k start
		  └ 23079 /usr/sbin/httpd -k start

[root@pulp-qe-f17-server pulp]# service qpidd status
qpidd.service - LSB: start or stop qpidd
	  Loaded: loaded (/etc/rc.d/init.d/qpidd)
	  Active: active (running) since Thu, 07 Jun 2012 10:55:37 -0400; 2h 22min ago
	 Process: 23014 ExecStop=/etc/rc.d/init.d/qpidd stop (code=exited, status=0/SUCCESS)
	 Process: 23021 ExecStart=/etc/rc.d/init.d/qpidd start (code=exited, status=0/SUCCESS)
	  CGroup: name=systemd:/system/qpidd.service
		  └ 23028 /usr/sbin/qpidd --data-dir /var/lib/qpidd --daemon

Jun 07 10:55:37 pulp-qe-f17-server.usersys.redhat.com runuser[23022]: pam_unix(runuser:session): session opened for user qpidd by (uid=0)
Jun 07 10:55:37 pulp-qe-f17-server.usersys.redhat.com runuser[23022]: pam_unix(runuser:session): session closed for user qpidd
Jun 07 10:55:37 pulp-qe-f17-server.usersys.redhat.com runuser[23024]: pam_unix(runuser:session): session opened for user qpidd by (uid=0)
Jun 07 10:55:37 pulp-qe-f17-server.usersys.redhat.com qpidd[23028]: 2012-06-07 10:55:37 notice Listening on TCP/TCP6 port 5672
Jun 07 10:55:37 pulp-qe-f17-server.usersys.redhat.com runuser[23024]: pam_unix(runuser:session): session closed for user qpidd
Jun 07 10:55:37 pulp-qe-f17-server.usersys.redhat.com qpidd[23021]: Starting Qpid AMQP daemon: [  OK  ]
Jun 07 10:55:37 pulp-qe-f17-server.usersys.redhat.com qpidd[23028]: 2012-06-07 10:55:37 notice Broker running
Jun 07 10:55:37 pulp-qe-f17-server.usersys.redhat.com runuser[23039]: pam_unix(runuser-l:session): session opened for user qpidd by (uid=0)
Jun 07 10:55:37 pulp-qe-f17-server.usersys.redhat.com runuser[23039]: pam_unix(runuser-l:session): session closed for user qpidd
[root@pulp-qe-f17-server pulp]# service mongod status
Redirecting to /bin/systemctl  status mongod.service
mongod.service - High-performance, schema-free document-oriented database
	  Loaded: loaded (/usr/lib/systemd/system/mongod.service; disabled)
	  Active: active (running) since Thu, 07 Jun 2012 10:55:34 -0400; 2h 22min ago
	 Process: 22972 ExecStart=/usr/bin/mongod $OPTIONS run (code=exited, status=0/SUCCESS)
	Main PID: 22975 (mongod)
	  CGroup: name=systemd:/system/mongod.service
		  └ 22975 /usr/bin/mongod --quiet -f /etc/mongodb.conf run

Jun 07 10:55:34 pulp-qe-f17-server.usersys.redhat.com mongod[22972]: forked process: 22975
[root@pulp-qe-f17-server pulp]#

Note You need to log in before you can comment on or make changes to this bug.